## qt6-datavis3d 6.4.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

include(.cmake.conf)
project(QtDataVisualization
    VERSION "${QT_REPO_MODULE_VERSION}"
    DESCRIPTION "Qt Data Visualization Libraries"
    HOMEPAGE_URL "https://qt.io/"
    LANGUAGES CXX C
)

find_package(Qt6 ${PROJECT_VERSION} CONFIG REQUIRED COMPONENTS BuildInternals)
find_package(Qt6 ${PROJECT_VERSION} CONFIG OPTIONAL_COMPONENTS
    Core OpenGL Quick Qml Gui Widgets QuickTest Test)

macro(assertTargets)
    foreach(qtTarget IN ITEMS ${ARGN})
        if(NOT TARGET Qt::${qtTarget})
           message(NOTICE "Skipping the build as the condition \"TARGET Qt::${qtTarget}\" is not met.")
           return()
        endif()
    endforeach()
endmacro()

assertTargets(Gui Widgets OpenGL Quick Qml QuickTest Test)

qt_build_repo()

=== src/CMakeLists.txt ===
add_subdirectory(datavisualization)
if(TARGET Qt::Quick)
    add_subdirectory(datavisualizationqml)
endif()

=== tests/CMakeLists.txt ===
if(QT_BUILD_STANDALONE_TESTS)
endif()
qt_build_tests()

=== src/datavisualization/CMakeLists.txt ===
qt_internal_add_module(DataVisualization
    TARGET_PRODUCT "Qt Data Visualization (Qt $$QT_VERSION)"
    TARGET_DESCRIPTION "3D Data Visualization component for Qt."
    SOURCES
        axis/qabstract3daxis.cpp axis/qabstract3daxis.h axis/qabstract3daxis_p.h
        axis/qcategory3daxis.cpp axis/qcategory3daxis.h axis/qcategory3daxis_p.h
        axis/qlogvalue3daxisformatter.cpp axis/qlogvalue3daxisformatter.h axis/qlogvalue3daxisformatter_p.h
        axis/qvalue3daxis.cpp axis/qvalue3daxis.h axis/qvalue3daxis_p.h
        axis/qvalue3daxisformatter.cpp axis/qvalue3daxisformatter.h axis/qvalue3daxisformatter_p.h
        data/abstractitemmodelhandler.cpp data/abstractitemmodelhandler_p.h
        data/abstractrenderitem.cpp data/abstractrenderitem_p.h
        data/baritemmodelhandler.cpp data/baritemmodelhandler_p.h
        data/barrenderitem.cpp data/barrenderitem_p.h
        data/customrenderitem.cpp data/customrenderitem_p.h
        data/labelitem.cpp data/labelitem_p.h
        data/qabstract3dseries.cpp data/qabstract3dseries.h data/qabstract3dseries_p.h
        data/qabstractdataproxy.cpp data/qabstractdataproxy.h data/qabstractdataproxy_p.h
        data/qbar3dseries.cpp data/qbar3dseries.h data/qbar3dseries_p.h
        data/qbardataitem.cpp data/qbardataitem.h data/qbardataitem_p.h
        data/qbardataproxy.cpp data/qbardataproxy.h data/qbardataproxy_p.h
        data/qcustom3ditem.cpp data/qcustom3ditem.h data/qcustom3ditem_p.h
        data/qcustom3dlabel.cpp data/qcustom3dlabel.h data/qcustom3dlabel_p.h
        data/qcustom3dvolume.cpp data/qcustom3dvolume.h data/qcustom3dvolume_p.h
        data/qheightmapsurfacedataproxy.cpp data/qheightmapsurfacedataproxy.h data/qheightmapsurfacedataproxy_p.h
        data/qitemmodelbardataproxy.cpp data/qitemmodelbardataproxy.h data/qitemmodelbardataproxy_p.h
        data/qitemmodelscatterdataproxy.cpp data/qitemmodelscatterdataproxy.h data/qitemmodelscatterdataproxy_p.h
        data/qitemmodelsurfacedataproxy.cpp data/qitemmodelsurfacedataproxy.h data/qitemmodelsurfacedataproxy_p.h
        data/qscatter3dseries.cpp data/qscatter3dseries.h data/qscatter3dseries_p.h
        data/qscatterdataitem.cpp data/qscatterdataitem.h data/qscatterdataitem_p.h
        data/qscatterdataproxy.cpp data/qscatterdataproxy.h data/qscatterdataproxy_p.h
        data/qsurface3dseries.cpp data/qsurface3dseries.h data/qsurface3dseries_p.h
        data/qsurfacedataitem.cpp data/qsurfacedataitem.h data/qsurfacedataitem_p.h
        data/qsurfacedataproxy.cpp data/qsurfacedataproxy.h data/qsurfacedataproxy_p.h
        data/scatteritemmodelhandler.cpp data/scatteritemmodelhandler_p.h
        data/scatterrenderitem.cpp data/scatterrenderitem_p.h
        data/surfaceitemmodelhandler.cpp data/surfaceitemmodelhandler_p.h
        engine/abstractdeclarativeinterface.cpp engine/abstractdeclarativeinterface_p.h
        engine/abstract3dcontroller.cpp engine/abstract3dcontroller_p.h
        engine/abstract3drenderer.cpp engine/abstract3drenderer_p.h
        engine/axisrendercache.cpp engine/axisrendercache_p.h
        engine/bars3dcontroller.cpp engine/bars3dcontroller_p.h
        engine/bars3drenderer.cpp engine/bars3drenderer_p.h
        engine/barseriesrendercache.cpp engine/barseriesrendercache_p.h
        engine/drawer.cpp engine/drawer_p.h
        engine/q3dbars.cpp engine/q3dbars.h engine/q3dbars_p.h
        engine/q3dcamera.cpp engine/q3dcamera.h engine/q3dcamera_p.h
        engine/q3dlight.cpp engine/q3dlight.h engine/q3dlight_p.h
        engine/q3dobject.cpp engine/q3dobject.h engine/q3dobject_p.h
        engine/q3dscatter.cpp engine/q3dscatter.h engine/q3dscatter_p.h
        engine/q3dscene.cpp engine/q3dscene.h engine/q3dscene_p.h
        engine/q3dsurface.cpp engine/q3dsurface.h engine/q3dsurface_p.h
        engine/qabstract3dgraph.cpp engine/qabstract3dgraph.h engine/qabstract3dgraph_p.h
        engine/scatter3dcontroller.cpp engine/scatter3dcontroller_p.h
        engine/scatter3drenderer.cpp engine/scatter3drenderer_p.h
        engine/scatterseriesrendercache.cpp engine/scatterseriesrendercache_p.h
        engine/selectionpointer.cpp engine/selectionpointer_p.h
        engine/seriesrendercache.cpp engine/seriesrendercache_p.h
        engine/surface3dcontroller.cpp engine/surface3dcontroller_p.h
        engine/surface3drenderer.cpp engine/surface3drenderer_p.h
        engine/surfaceseriesrendercache.cpp engine/surfaceseriesrendercache_p.h
        global/datavisualizationglobal_p.h
        global/qdatavisualizationglobal.h
        input/q3dinputhandler.cpp input/q3dinputhandler.h input/q3dinputhandler_p.h
        input/qabstract3dinputhandler.cpp input/qabstract3dinputhandler.h input/qabstract3dinputhandler_p.h
        input/qtouch3dinputhandler.cpp input/qtouch3dinputhandler.h input/qtouch3dinputhandler_p.h
        theme/q3dtheme.cpp theme/q3dtheme.h theme/q3dtheme_p.h
        theme/thememanager.cpp theme/thememanager_p.h
        utils/abstractobjecthelper.cpp utils/abstractobjecthelper_p.h
        utils/camerahelper.cpp utils/camerahelper_p.h
        utils/meshloader.cpp utils/meshloader_p.h
        utils/objecthelper.cpp utils/objecthelper_p.h
        utils/qutils.h
        utils/scatterobjectbufferhelper.cpp utils/scatterobjectbufferhelper_p.h
        utils/scatterpointbufferhelper.cpp utils/scatterpointbufferhelper_p.h
        utils/shaderhelper.cpp utils/shaderhelper_p.h
        utils/surfaceobject.cpp utils/surfaceobject_p.h
        utils/texturehelper.cpp utils/texturehelper_p.h
        utils/utils.cpp utils/utils_p.h
        utils/vertexindexer.cpp utils/vertexindexer_p.h
    INCLUDE_DIRECTORIES
        axis
        data
        engine
        global
        input
        theme
        utils
        ../datavisualizationqml
    PUBLIC_LIBRARIES
        Qt::Core
        Qt::Gui
        Qt::OpenGL
        Qt::Qml
        Qt::Quick
    GENERATE_CPP_EXPORTS
)

set_source_files_properties("engine/meshes/arrowFlat.obj"
    PROPERTIES QT_RESOURCE_ALIAS "arrow"
)
set_source_files_properties("engine/meshes/arrowSmooth.obj"
    PROPERTIES QT_RESOURCE_ALIAS "arrowSmooth"
)
set_source_files_properties("engine/meshes/background.obj"
    PROPERTIES QT_RESOURCE_ALIAS "background"
)
set_source_files_properties("engine/meshes/backgroundNoFloor.obj"
    PROPERTIES QT_RESOURCE_ALIAS "backgroundNoFloor"
)
set_source_files_properties("engine/meshes/barFilledFlat.obj"
    PROPERTIES QT_RESOURCE_ALIAS "bevelbarFull"
)
set_source_files_properties("engine/meshes/barFilledSmooth.obj"
    PROPERTIES QT_RESOURCE_ALIAS "bevelbarSmoothFull"
)
set_source_files_properties("engine/meshes/barFlat.obj"
    PROPERTIES QT_RESOURCE_ALIAS "bevelbar"
)
set_source_files_properties("engine/meshes/barSmooth.obj"
    PROPERTIES QT_RESOURCE_ALIAS "bevelbarSmooth"
)
set_source_files_properties("engine/meshes/coneFilledFlat.obj"
    PROPERTIES QT_RESOURCE_ALIAS "coneFull"
)
set_source_files_properties("engine/meshes/coneFilledSmooth.obj"
    PROPERTIES QT_RESOURCE_ALIAS "coneSmoothFull"
)
set_source_files_properties("engine/meshes/coneFlat.obj"
    PROPERTIES QT_RESOURCE_ALIAS "cone"
)
set_source_files_properties("engine/meshes/coneSmooth.obj"
    PROPERTIES QT_RESOURCE_ALIAS "coneSmooth"
)
set_source_files_properties("engine/meshes/cubeFilledFlat.obj"
    PROPERTIES QT_RESOURCE_ALIAS "barFull"
)
set_source_files_properties("engine/meshes/cubeFilledSmooth.obj"
    PROPERTIES QT_RESOURCE_ALIAS "barSmoothFull"
)
set_source_files_properties("engine/meshes/cubeFlat.obj"
    PROPERTIES QT_RESOURCE_ALIAS "bar"
)
set_source_files_properties("engine/meshes/cubeSmooth.obj"
    PROPERTIES QT_RESOURCE_ALIAS "barSmooth"
)
set_source_files_properties("engine/meshes/cylinderFilledFlat.obj"
    PROPERTIES QT_RESOURCE_ALIAS "cylinderFull"
)
set_source_files_properties("engine/meshes/cylinderFilledSmooth.obj"
    PROPERTIES QT_RESOURCE_ALIAS "cylinderSmoothFull"
)
set_source_files_properties("engine/meshes/cylinderFlat.obj"
    PROPERTIES QT_RESOURCE_ALIAS "cylinder"
)
set_source_files_properties("engine/meshes/cylinderSmooth.obj"
    PROPERTIES QT_RESOURCE_ALIAS "cylinderSmooth"
)
set_source_files_properties("engine/meshes/minimalFlat.obj"
    PROPERTIES QT_RESOURCE_ALIAS "minimal"
)
set_source_files_properties("engine/meshes/minimalSmooth.obj"
    PROPERTIES QT_RESOURCE_ALIAS "minimalSmooth"
)
set_source_files_properties("engine/meshes/plane.obj"
    PROPERTIES QT_RESOURCE_ALIAS "plane"
)
set_source_files_properties("engine/meshes/pyramidFilledFlat.obj"
    PROPERTIES QT_RESOURCE_ALIAS "pyramidFull"
)
set_source_files_properties("engine/meshes/pyramidFilledSmooth.obj"
    PROPERTIES QT_RESOURCE_ALIAS "pyramidSmoothFull"
)
set_source_files_properties("engine/meshes/pyramidFlat.obj"
    PROPERTIES QT_RESOURCE_ALIAS "pyramid"
)
set_source_files_properties("engine/meshes/pyramidSmooth.obj"
    PROPERTIES QT_RESOURCE_ALIAS "pyramidSmooth"
)
set_source_files_properties("engine/meshes/sphere.obj"
    PROPERTIES QT_RESOURCE_ALIAS "sphere"
)
set_source_files_properties("engine/meshes/sphereSmooth.obj"
    PROPERTIES QT_RESOURCE_ALIAS "sphereSmooth"
)
set(mesh_resource_files
    "engine/meshes/arrowFlat.obj"
    "engine/meshes/arrowSmooth.obj"
    "engine/meshes/background.obj"
    "engine/meshes/backgroundNoFloor.obj"
    "engine/meshes/barFilledFlat.obj"
    "engine/meshes/barFilledSmooth.obj"
    "engine/meshes/barFlat.obj"
    "engine/meshes/barSmooth.obj"
    "engine/meshes/coneFilledFlat.obj"
    "engine/meshes/coneFilledSmooth.obj"
    "engine/meshes/coneFlat.obj"
    "engine/meshes/coneSmooth.obj"
    "engine/meshes/cubeFilledFlat.obj"
    "engine/meshes/cubeFilledSmooth.obj"
    "engine/meshes/cubeFlat.obj"
    "engine/meshes/cubeSmooth.obj"
    "engine/meshes/cylinderFilledFlat.obj"
    "engine/meshes/cylinderFilledSmooth.obj"
    "engine/meshes/cylinderFlat.obj"
    "engine/meshes/cylinderSmooth.obj"
    "engine/meshes/minimalFlat.obj"
    "engine/meshes/minimalSmooth.obj"
    "engine/meshes/plane.obj"
    "engine/meshes/pyramidFilledFlat.obj"
    "engine/meshes/pyramidFilledSmooth.obj"
    "engine/meshes/pyramidFlat.obj"
    "engine/meshes/pyramidSmooth.obj"
    "engine/meshes/sphere.obj"
    "engine/meshes/sphereSmooth.obj"
)

set_source_files_properties("engine/shaders/3dsliceframes.frag"
    PROPERTIES QT_RESOURCE_ALIAS "fragment3DSliceFrames"
)
set_source_files_properties("engine/shaders/colorOnY.frag"
    PROPERTIES QT_RESOURCE_ALIAS "fragmentColorOnY"
)
set_source_files_properties("engine/shaders/colorOnY_ES2.frag"
    PROPERTIES QT_RESOURCE_ALIAS "fragmentColorOnYES2"
)
set_source_files_properties("engine/shaders/default.frag"
    PROPERTIES QT_RESOURCE_ALIAS "fragment"
)
set_source_files_properties("engine/shaders/default.vert"
    PROPERTIES QT_RESOURCE_ALIAS "vertex"
)
set_source_files_properties("engine/shaders/defaultNoMatrices.vert"
    PROPERTIES QT_RESOURCE_ALIAS "vertexNoMatrices"
)
set_source_files_properties("engine/shaders/default_ES2.frag"
    PROPERTIES QT_RESOURCE_ALIAS "fragmentES2"
)
set_source_files_properties("engine/shaders/depth.frag"
    PROPERTIES QT_RESOURCE_ALIAS "fragmentDepth"
)
set_source_files_properties("engine/shaders/depth.vert"
    PROPERTIES QT_RESOURCE_ALIAS "vertexDepth"
)
set_source_files_properties("engine/shaders/label.frag"
    PROPERTIES QT_RESOURCE_ALIAS "fragmentLabel"
)
set_source_files_properties("engine/shaders/label.vert"
    PROPERTIES QT_RESOURCE_ALIAS "vertexLabel"
)
set_source_files_properties("engine/shaders/plainColor.frag"
    PROPERTIES QT_RESOURCE_ALIAS "fragmentPlainColor"
)
set_source_files_properties("engine/shaders/plainColor.vert"
    PROPERTIES QT_RESOURCE_ALIAS "vertexPlainColor"
)
set_source_files_properties("engine/shaders/point_ES2.vert"
    PROPERTIES QT_RESOURCE_ALIAS "vertexPointES2"
)
set_source_files_properties("engine/shaders/point_ES2_UV.vert"
    PROPERTIES QT_RESOURCE_ALIAS "vertexPointES2_UV"
)
set_source_files_properties("engine/shaders/position.vert"
    PROPERTIES QT_RESOURCE_ALIAS "vertexPosition"
)

=== src/datavisualizationqml/CMakeLists.txt ===
set(qml_files
    "designer/Bars3DSpecifics.qml"
    "designer/Scatter3DSpecifics.qml"
    "designer/Surface3DSpecifics.qml"
    "designer/default/Bars3D.qml"
    "designer/default/Scatter3D.qml"
    "designer/default/Surface3D.qml"
)

set(resources
    "designer/qtdatavisualization.metainfo"
    "designer/images/bars3d-icon.png"
    "designer/images/bars3d-icon16.png"
    "designer/images/scatter3d-icon.png"
    "designer/images/scatter3d-icon16.png"
    "designer/images/surface3d-icon.png"
    "designer/images/surface3d-icon16.png"
)

set_source_files_properties(${qml_files} PROPERTIES
    QT_QML_SKIP_QMLDIR_ENTRY TRUE
)

qt_internal_add_qml_module(DataVisualizationQml
    URI "QtDataVisualization"
    VERSION "${PROJECT_VERSION}"
    PAST_MAJOR_VERSIONS 1
    DEPENDENCIES
        QtQuick
    SOURCES
        abstractdeclarative.cpp abstractdeclarative_p.h
        colorgradient.cpp colorgradient_p.h
        declarativebars.cpp declarativebars_p.h
        declarativecolor.cpp declarativecolor_p.h
        declarativerendernode.cpp declarativerendernode_p.h
        declarativescatter.cpp declarativescatter_p.h
        declarativescene.cpp declarativescene_p.h
        declarativeseries.cpp declarativeseries_p.h
        declarativesurface.cpp declarativesurface_p.h
        declarativetheme.cpp declarativetheme_p.h
        enumtostringmap.cpp enumtostringmap_p.h
        foreigntypes_p.h
        glstatestore.cpp glstatestore_p.h
    QML_FILES
        ${qml_files}
    RESOURCES
        ${resources}
    LIBRARIES
        Qt::Core
        Qt::Gui
        Qt::OpenGL
        Qt::Qml
        Qt::Quick
        Qt::DataVisualizationPrivate
)

qt_internal_extend_target(DataVisualizationQml CONDITION MACOS
    PUBLIC_LIBRARIES
        Qt::GuiPrivate
)

=== tests/manual/CMakeLists.txt ===
if(TARGET Qt::Quick)
    add_subdirectory(qmldynamicdata)
    add_subdirectory(qmlmultitest)
    add_subdirectory(qmlvolume)
    add_subdirectory(qmlperf)
    add_subdirectory(qmlgradient)
    add_subdirectory(qmlheightmap)
    add_subdirectory(qmlbarsrowcolors)
endif()
if(NOT ANDROID AND NOT IOS AND NOT WINRT)
    add_subdirectory(barstest)
    add_subdirectory(scattertest)
    add_subdirectory(surfacetest)
    add_subdirectory(multigraphs)
    add_subdirectory(directional)
    add_subdirectory(itemmodeltest)
    add_subdirectory(volumetrictest)
    add_subdirectory(minimalbars)
    add_subdirectory(minimalscatter)
    add_subdirectory(minimalsurface)
endif()

=== examples/datavisualization/itemmodel/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(itemmodel LANGUAGES CXX)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
  set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}")

find_package(Qt6 COMPONENTS Core)
find_package(Qt6 COMPONENTS Gui)
find_package(Qt6 COMPONENTS Widgets)
find_package(Qt6 COMPONENTS DataVisualization)

qt_add_executable(itemmodel
    main.cpp
)
set_target_properties(itemmodel PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)
target_link_libraries(itemmodel PUBLIC
    Qt::Core
    Qt::Gui
    Qt::Widgets
    Qt::DataVisualization
)

install(TARGETS itemmodel
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== examples/datavisualization/qml3doscilloscope/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(qml3doscilloscope LANGUAGES CXX)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
  set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}")

find_package(Qt6 COMPONENTS Core)
find_package(Qt6 COMPONENTS Gui)
find_package(Qt6 COMPONENTS Qml)
find_package(Qt6 COMPONENTS Quick)
find_package(Qt6 COMPONENTS DataVisualization)

qt_add_executable(qml3doscilloscope
    datasource.cpp datasource.h
    main.cpp
)
set_target_properties(qml3doscilloscope PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)
target_link_libraries(qml3doscilloscope PUBLIC
    Qt::Core
    Qt::Gui
    Qt::Qml
    Qt::Quick
    Qt::DataVisualization
)

set(qml3doscilloscope_resource_files
    "qml/qml3doscilloscope/main.qml"
)

qt6_add_resources(qml3doscilloscope "qml3doscilloscope"
    PREFIX
        "/"
    FILES
        ${qml3doscilloscope_resource_files}
)

install(TARGETS qml3doscilloscope
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== examples/datavisualization/qmlmultigraph/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(qmlmultigraph LANGUAGES CXX)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
  set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}")

find_package(Qt6 COMPONENTS Core)
find_package(Qt6 COMPONENTS Gui)
find_package(Qt6 COMPONENTS Qml)
find_package(Qt6 COMPONENTS Quick)
find_package(Qt6 COMPONENTS DataVisualization)

qt_add_executable(qmlmultigraph
    main.cpp
)
set_target_properties(qmlmultigraph PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)
target_link_libraries(qmlmultigraph PUBLIC
    Qt::Core
    Qt::Gui
    Qt::Qml
    Qt::Quick
    Qt::DataVisualization
)

set(qmlmultigraph_resource_files
    "qml/qmlmultigraph/Data.qml"
    "qml/qmlmultigraph/main.qml"
)

qt6_add_resources(qmlmultigraph "qmlmultigraph"
    PREFIX
        "/"
    FILES
        ${qmlmultigraph_resource_files}
)

install(TARGETS qmlmultigraph
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== tests/auto/qmltest/CMakeLists.txt ===
file(GLOB_RECURSE test_data_glob
    RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
    *)
list(APPEND test_data ${test_data_glob})

qt_internal_add_test(tst_qmltest
    QMLTEST
    SOURCES
        tst_qmltest.cpp
    PUBLIC_LIBRARIES
        Qt::Gui
    TESTDATA ${test_data}
)

set(qmltest_resource_files
    "customitem.obj"
    "customtexture.jpg"
)

qt_internal_add_resource(tst_qmltest "qmltest"
    PREFIX
        "/"
    FILES
        ${qmltest_resource_files}
)

=== tests/manual/barstest/CMakeLists.txt ===
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

qt_internal_add_manual_test(barstest
    GUI
    SOURCES
        chart.cpp chart.h
        sliderwrapper.cpp sliderwrapper.h
        buttonwrapper.cpp buttonwrapper.h
        custominputhandler.cpp custominputhandler.h
        main.cpp
    )
target_link_libraries(barstest PUBLIC
    Qt::Gui
    Qt::Widgets
    Qt::DataVisualization
    )

set(barstest_resource_files
    "shuttle.obj"
    "shuttle.png"
    )

qt_internal_add_resource(barstest "barstest"
    PREFIX
    "/"
    FILES
    ${barstest_resource_files}
    )

=== tests/manual/directional/CMakeLists.txt ===
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

qt_internal_add_manual_test(directional
    GUI
    SOURCES
    main.cpp
    scatterdatamodifier.cpp scatterdatamodifier.h
    )
target_link_libraries(directional PUBLIC
    Qt::Gui
    Qt::Widgets
    Qt::DataVisualization
    )

=== debian/changelog ===
qt6-datavis3d (6.4.2-6build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:47:13 +1100

qt6-datavis3d (6.4.2-6build1) noble; urgency=medium

  * No-change rebuild against libqt6core6t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 01:58:46 +0000

qt6-datavis3d (6.4.2-6) unstable; urgency=medium

  * Team upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 01 Aug 2023 14:22:44 -0300

qt6-datavis3d (6.4.2-5) experimental; urgency=medium

  * Team upload.

  [ Patrick Franz ]
  * Remove build-dependency on libqt6opengl6-dev as it has been merged
    into qt6-base-dev.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Add documentation and examples packages (Closes: #1042291).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 29 Jul 2023 11:16:39 -0300

qt6-datavis3d (6.4.2-4) unstable; urgency=medium

  [ Patrick Franz ]
  * Pass QT_HOST_PATH to cmake in cross-builds, thx to Helmut Grohne.

 -- Patrick Franz <deltaone@debian.org>  Thu, 22 Jun 2023 20:34:41 +0200

qt6-datavis3d (6.4.2-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Do not install cmake-files for Qml plugins (Closes: #1035791).

 -- Patrick Franz <deltaone@debian.org>  Thu, 11 May 2023 12:34:27 +0200

qt6-datavis3d (6.4.2-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Enable link time optimization.

 -- Patrick Franz <deltaone@debian.org>  Sat, 28 Jan 2023 18:01:33 +0100

qt6-datavis3d (6.4.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Switch to the official 6.4.2 tarball, the tarball is the same.

 -- Patrick Franz <deltaone@debian.org>  Thu, 26 Jan 2023 22:26:21 +0100

qt6-datavis3d (6.4.2~rc1-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Add a Provides for libqt6datavisualization6-dev.

 -- Patrick Franz <deltaone@debian.org>  Sat, 31 Dec 2022 14:21:07 +0100

qt6-datavis3d (6.4.2~rc1-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Fri, 30 Dec 2022 16:58:14 +0100

qt6-datavis3d (6.4.2~rc1-1) experimental; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New upstream release.
    - Bump Qt build dependencies.
  * Bump standards version to 4.6.2, no changes required.

 -- Patrick Franz <deltaone@debian.org>  Tue, 27 Dec 2022 22:26:36 +0100

qt6-datavis3d (6.4.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.4.1).
  * Bump Qt B-Ds to 6.4.1.

 -- Patrick Franz <deltaone@debian.org>  Thu, 17 Nov 2022 19:42:05 +0100

qt6-datavis3d (6.4.0-1) experimental; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Bump minimum CMake version in order to get pkg-config's .pc files.

  [ Patrick Franz ]
  * Increase CMake verbosity level.
  * New upstream release (6.4.0).
  * Bump Qt B-Ds to 6.4.0.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Sun, 16 Oct 2022 00:27:05 +0200

=== debian/control ===
Source: qt6-datavis3d
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
Build-Depends: cmake (>= 3.24~),
               debhelper-compat (= 13),
               libgl-dev,
               libssl-dev,
               libvulkan-dev [linux-any],
               ninja-build,
               pkg-config,
               pkg-kde-tools,
               qml6-module-qtquick (>= 6.4.2+dfsg~),
               qml6-module-qttest (>= 6.4.2+dfsg~),
               qt6-base-dev (>= 6.4.2+dfsg~),
               qt6-base-private-dev (>= 6.4.2+dfsg~),
               qt6-declarative-dev (>= 6.4.2+dfsg~),
               qt6-declarative-private-dev (>= 6.4.2+dfsg~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Build-Depends-Indep: qt6-base-dev (>= 6.4~) <!nodoc>,
                     qt6-documentation-tools (>= 6.4~) <!nodoc>,
Standards-Version: 4.6.2
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-datavis3d
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-datavis3d.git
Rules-Requires-Root: no

Package: libqt6datavisualization6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Data Visualization library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains a set of APIs to visualize data in 3D as bar, scatter,
 and surface graphs.

Package: libqt6datavisualizationqml6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Data Visualization QML library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Data Visualization QML support library.

Package: qml6-module-qtdatavisualization
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: qml6-module-qtquick, ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Data Visualization QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Data Visualization QML module for QtDeclarative.

Package: qt6-datavisualization-dev
Provides: libqt6datavisualization6-dev (= ${binary:Version}),
Architecture: any
Multi-Arch: same
Section: libdevel
Breaks: libqt6datavisualization6-dev (<< 6.3.1-3~),
Replaces: libqt6datavisualization6-dev (<< 6.3.1-3~),
Depends: libqt6datavisualization6 (= ${binary:Version}),
         libqt6datavisualizationqml6 (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends},
Description: Qt 6 Data Visualization - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the development files needed to build Qt applications
 using the Qt Data Visualization library.

Package: qt6-datavis3d-doc
Architecture: all
Section: doc
Depends: qt6-base-doc, ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 data visualization 3D documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation for the Qt 6 data visualization 3D.

Package: qt6-datavis3d-doc-html
Architecture: all
Section: doc
Depends: qt6-base-doc-html, ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 data visualization 3D HTML documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the HTML documentation for the Qt 6 data visualization
 3D.

Package: qt6-datavis3d-examples
Architecture: any
Multi-Arch: same
Section: misc
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 data visualization 3D examples
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the examples for the Qt data visualization 3D submodule.

## qt6-datavis3d 6.6.1

=== src/datavisualizationqml/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,6 @@
+# Copyright (C) 2022 The Qt Company Ltd.
+# SPDX-License-Identifier: BSD-3-Clause
+
 set(qml_files
     "designer/Bars3DSpecifics.qml"
     "designer/Scatter3DSpecifics.qml"
@@ -46,7 +49,7 @@
     RESOURCES
         ${resources}
     LIBRARIES
-        Qt::Core
+        Qt::CorePrivate
         Qt::Gui
         Qt::OpenGL
         Qt::Qml

## qt6-datavis3d 6.6.2

=== debian/changelog ===
qt6-datavis3d (6.6.2-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Thu, 06 Jun 2024 18:18:32 +0200

qt6-datavis3d (6.6.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.6.2).
  * Bump Qt B-Ds to 6.6.2.
  * Build-depend on pkgconf instead of pkg-config as the latter has been
    superseded by the former.

 -- Patrick Franz <deltaone@debian.org>  Fri, 16 Feb 2024 19:41:00 +0100

qt6-datavis3d (6.6.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.6.1).
  * Bump Qt B-Ds to 6.6.1.
  * Update list of installed files.
  * Update symbols from buildlogs.
  * Remove binary package libqt6datavisualizationqml6.
  * Rename qt6-datavisualization-dev to qt6-datavis3d-dev.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Thu, 21 Dec 2023 01:12:53 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: qt6-datavis3d
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
@@ -10,18 +9,16 @@
                libssl-dev,
                libvulkan-dev [linux-any],
                ninja-build,
-               pkg-config,
+               pkgconf,
                pkg-kde-tools,
-               qml6-module-qtquick (>= 6.4.2+dfsg~),
-               qml6-module-qttest (>= 6.4.2+dfsg~),
-               qt6-base-dev (>= 6.4.2+dfsg~),
-               qt6-base-private-dev (>= 6.4.2+dfsg~),
-               qt6-declarative-dev (>= 6.4.2+dfsg~),
-               qt6-declarative-private-dev (>= 6.4.2+dfsg~),
+               qt6-base-dev (>= 6.6.2+dfsg~),
+               qt6-base-private-dev (>= 6.6.2+dfsg~),
+               qt6-declarative-dev (>= 6.6.2+dfsg~),
+               qt6-declarative-private-dev (>= 6.6.2+dfsg~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Build-Depends-Indep: qt6-base-dev (>= 6.4~) <!nodoc>,
-                     qt6-documentation-tools (>= 6.4~) <!nodoc>,
+Build-Depends-Indep: qt6-base-dev (>= 6.6~) <!nodoc>,
+                     qt6-documentation-tools (>= 6.6~) <!nodoc>,
 Standards-Version: 4.6.2
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-datavis3d
@@ -40,37 +37,30 @@
  This package contains a set of APIs to visualize data in 3D as bar, scatter,
  and surface graphs.
 
-Package: libqt6datavisualizationqml6
-Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends},
-Depends: ${misc:Depends}, ${shlibs:Depends},
-Description: Qt 6 Data Visualization QML library
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- This package contains the Qt Data Visualization QML support library.
-
 Package: qml6-module-qtdatavisualization
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
 Depends: qml6-module-qtquick, ${misc:Depends}, ${shlibs:Depends},
+Breaks: libqt6datavisualizationqml6,
+Replaces: libqt6datavisualizationqml6,
 Description: Qt 6 Data Visualization QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
  .
  This package contains the Data Visualization QML module for QtDeclarative.
 
-Package: qt6-datavisualization-dev
+Package: qt6-datavis3d-dev
 Provides: libqt6datavisualization6-dev (= ${binary:Version}),
+          qt6-datavisualization-dev (= ${binary:Version}),
 Architecture: any
 Multi-Arch: same
 Section: libdevel
 Breaks: libqt6datavisualization6-dev (<< 6.3.1-3~),
+        qt6-datavisualization-dev (<< 6.6.1-1~),
 Replaces: libqt6datavisualization6-dev (<< 6.3.1-3~),
+          qt6-datavisualization-dev (<< 6.6.1-1~),
 Depends: libqt6datavisualization6 (= ${binary:Version}),
-         libqt6datavisualizationqml6 (= ${binary:Version}),
          qt6-base-dev,
          ${misc:Depends},
 Description: Qt 6 Data Visualization - development files

## qt6-datavis3d 6.7.2

=== debian/changelog ===
qt6-datavis3d (6.7.2-3) unstable; urgency=medium

  [ Sandro Knauß ]
  * Use dh_qmldeps to detect QML dependencies.
  * Add qml6-module packages to -dev package for QML dependency detection.
  * Use dh-sequence-pkgkde-symbolshelper instead of --with.

  [ Patrick Franz ]
  * Install cmake-files for QmlPlugins.
  * Use correct package name for Build-Depends-Package in symbols-file.

 -- Patrick Franz <deltaone@debian.org>  Fri, 22 Nov 2024 23:22:02 +0100

qt6-datavis3d (6.7.2-2) unstable; urgency=medium

  * Remove virtual dev-packages.

 -- Patrick Franz <deltaone@debian.org>  Sat, 05 Oct 2024 01:37:22 +0200

qt6-datavis3d (6.7.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.7.2).
  * Bump Qt B-Ds to 6.7.2.
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Sat, 31 Aug 2024 10:18:52 +0200

=== debian/control ===
--- 
+++ 
@@ -5,21 +5,23 @@
 Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
+               dh-sequence-qmldeps,
+               dh-sequence-pkgkde-symbolshelper,
                libgl-dev,
                libssl-dev,
                libvulkan-dev [linux-any],
                ninja-build,
+               pkg-kde-tools,
                pkgconf,
-               pkg-kde-tools,
-               qt6-base-dev (>= 6.6.2+dfsg~),
-               qt6-base-private-dev (>= 6.6.2+dfsg~),
-               qt6-declarative-dev (>= 6.6.2+dfsg~),
-               qt6-declarative-private-dev (>= 6.6.2+dfsg~),
+               qt6-base-dev (>= 6.7.2+dfsg~),
+               qt6-base-private-dev (>= 6.7.2+dfsg~),
+               qt6-declarative-dev (>= 6.7.2+dfsg~),
+               qt6-declarative-private-dev (>= 6.7.2+dfsg~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Build-Depends-Indep: qt6-base-dev (>= 6.6~) <!nodoc>,
-                     qt6-documentation-tools (>= 6.6~) <!nodoc>,
-Standards-Version: 4.6.2
+Build-Depends-Indep: qt6-base-dev (>= 6.7~) <!nodoc>,
+                     qt6-documentation-tools (>= 6.7~) <!nodoc>,
+Standards-Version: 4.7.0
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-datavis3d
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-datavis3d.git
@@ -41,7 +43,9 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
-Depends: qml6-module-qtquick, ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${qml6:Depends},
+         ${shlibs:Depends},
 Breaks: libqt6datavisualizationqml6,
 Replaces: libqt6datavisualizationqml6,
 Description: Qt 6 Data Visualization QML module
@@ -51,8 +55,6 @@
  This package contains the Data Visualization QML module for QtDeclarative.
 
 Package: qt6-datavis3d-dev
-Provides: libqt6datavisualization6-dev (= ${binary:Version}),
-          qt6-datavisualization-dev (= ${binary:Version}),
 Architecture: any
 Multi-Arch: same
 Section: libdevel
@@ -61,6 +63,7 @@
 Replaces: libqt6datavisualization6-dev (<< 6.3.1-3~),
           qt6-datavisualization-dev (<< 6.6.1-1~),
 Depends: libqt6datavisualization6 (= ${binary:Version}),
+         qml6-module-qtdatavisualization (= ${binary:Version}),
          qt6-base-dev,
          ${misc:Depends},
 Description: Qt 6 Data Visualization - development files

## qt6-datavis3d 6.8.0

=== debian/changelog ===
qt6-datavis3d (6.8.0-0deepin) unstable; urgency=medium

  * New upstream release (6.8.0).

 -- lichenggang <lichenggang@deepin.org>  Thu, 07 Nov 2024 17:45:04 +0800

=== debian/control ===
--- 
+++ 
@@ -5,23 +5,21 @@
 Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
-               dh-sequence-qmldeps,
-               dh-sequence-pkgkde-symbolshelper,
                libgl-dev,
                libssl-dev,
                libvulkan-dev [linux-any],
                ninja-build,
+               pkg-config,
                pkg-kde-tools,
-               pkgconf,
-               qt6-base-dev (>= 6.7.2+dfsg~),
-               qt6-base-private-dev (>= 6.7.2+dfsg~),
-               qt6-declarative-dev (>= 6.7.2+dfsg~),
-               qt6-declarative-private-dev (>= 6.7.2+dfsg~),
+               qt6-base-dev (>= 6.8.0+dfsg~),
+               qt6-base-private-dev (>= 6.8.0+dfsg~),
+               qt6-declarative-dev (>= 6.8.0+dfsg~),
+               qt6-declarative-private-dev (>= 6.8.0+dfsg~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Build-Depends-Indep: qt6-base-dev (>= 6.7~) <!nodoc>,
-                     qt6-documentation-tools (>= 6.7~) <!nodoc>,
-Standards-Version: 4.7.0
+Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
+                     qt6-documentation-tools (>= 6.8~) <!nodoc>,
+Standards-Version: 4.6.2
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-datavis3d
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-datavis3d.git
@@ -43,9 +41,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
-Depends: ${misc:Depends},
-         ${qml6:Depends},
-         ${shlibs:Depends},
+Depends: qml6-module-qtquick, ${misc:Depends}, ${shlibs:Depends},
 Breaks: libqt6datavisualizationqml6,
 Replaces: libqt6datavisualizationqml6,
 Description: Qt 6 Data Visualization QML module
@@ -55,15 +51,16 @@
  This package contains the Data Visualization QML module for QtDeclarative.
 
 Package: qt6-datavis3d-dev
+Provides: libqt6datavisualization6-dev (= ${binary:Version}),
+          qt6-datavisualization-dev (= ${binary:Version}),
 Architecture: any
 Multi-Arch: same
 Section: libdevel
 Breaks: libqt6datavisualization6-dev (<< 6.3.1-3~),
-        qt6-datavisualization-dev (<< 6.6.1-1~),
+        qt6-datavisualization-dev (<< 6.8.0-1~),
 Replaces: libqt6datavisualization6-dev (<< 6.3.1-3~),
-          qt6-datavisualization-dev (<< 6.6.1-1~),
+          qt6-datavisualization-dev (<< 6.8.0-1~),
 Depends: libqt6datavisualization6 (= ${binary:Version}),
-         qml6-module-qtdatavisualization (= ${binary:Version}),
          qt6-base-dev,
          ${misc:Depends},
 Description: Qt 6 Data Visualization - development files

## qt6-datavis3d 6.8.1

=== debian/changelog ===
qt6-datavis3d (6.8.1-0ubuntu1) plucky; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 05 Dec 2024 02:53:37 -0600

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,28 @@
 Source: qt6-datavis3d
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
+               dh-sequence-pkgkde-symbolshelper,
+               dh-sequence-qmldeps,
                libgl-dev,
                libssl-dev,
                libvulkan-dev [linux-any],
                ninja-build,
-               pkg-config,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.8.0+dfsg~),
-               qt6-base-private-dev (>= 6.8.0+dfsg~),
-               qt6-declarative-dev (>= 6.8.0+dfsg~),
-               qt6-declarative-private-dev (>= 6.8.0+dfsg~),
+               pkgconf,
+               qt6-base-dev (>= 6.8.1+dfsg~),
+               qt6-base-private-dev (>= 6.8.1+dfsg~),
+               qt6-declarative-dev (>= 6.8.1+dfsg~),
+               qt6-declarative-private-dev (>= 6.8.1+dfsg~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
 Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
                      qt6-documentation-tools (>= 6.8~) <!nodoc>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-datavis3d
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-datavis3d.git
@@ -41,7 +44,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
-Depends: qml6-module-qtquick, ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Breaks: libqt6datavisualizationqml6,
 Replaces: libqt6datavisualizationqml6,
 Description: Qt 6 Data Visualization QML module
@@ -51,16 +54,15 @@
  This package contains the Data Visualization QML module for QtDeclarative.
 
 Package: qt6-datavis3d-dev
-Provides: libqt6datavisualization6-dev (= ${binary:Version}),
-          qt6-datavisualization-dev (= ${binary:Version}),
 Architecture: any
 Multi-Arch: same
 Section: libdevel
 Breaks: libqt6datavisualization6-dev (<< 6.3.1-3~),
-        qt6-datavisualization-dev (<< 6.8.0-1~),
+        qt6-datavisualization-dev (<< 6.6.1-1~),
 Replaces: libqt6datavisualization6-dev (<< 6.3.1-3~),
-          qt6-datavisualization-dev (<< 6.8.0-1~),
+          qt6-datavisualization-dev (<< 6.6.1-1~),
 Depends: libqt6datavisualization6 (= ${binary:Version}),
+         qml6-module-qtdatavisualization (= ${binary:Version}),
          qt6-base-dev,
          ${misc:Depends},
 Description: Qt 6 Data Visualization - development files

## qt6-datavis3d 6.8.2

=== tests/auto/cpptest/q3dcustom-label/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

qt_internal_add_test(q3dcustom-label_datavis
    SOURCES
        tst_custom.cpp
    INCLUDE_DIRECTORIES
        ../common
    LIBRARIES
        Qt::Gui
        Qt::GuiPrivate
        Qt::DataVisualization
)

=== tests/auto/cpptest/q3dscatter/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

qt_internal_add_test(q3dscatter_datavis
    SOURCES
        tst_scatter.cpp
    INCLUDE_DIRECTORIES
        ../common
    LIBRARIES
        Qt::Gui
        Qt::GuiPrivate
        Qt::DataVisualization
)

=== debian/changelog ===
qt6-datavis3d (6.8.2-3) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 01 Mar 2025 12:33:05 +0100

qt6-datavis3d (6.8.2-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Thu, 13 Feb 2025 00:55:11 +0100

qt6-datavis3d (6.8.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.8.2).
  * Bump Qt B-Ds to 6.8.2.
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Sat, 08 Feb 2025 17:31:14 +0100

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,22 @@
 Source: qt6-datavis3d
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
+               dh-sequence-qmldeps,
                dh-sequence-pkgkde-symbolshelper,
-               dh-sequence-qmldeps,
                libgl-dev,
                libssl-dev,
                libvulkan-dev [linux-any],
                ninja-build,
                pkg-kde-tools,
                pkgconf,
-               qt6-base-dev (>= 6.8.1+dfsg~),
-               qt6-base-private-dev (>= 6.8.1+dfsg~),
-               qt6-declarative-dev (>= 6.8.1+dfsg~),
-               qt6-declarative-private-dev (>= 6.8.1+dfsg~),
+               qt6-base-dev (>= 6.8.2+dfsg~),
+               qt6-base-private-dev (>= 6.8.2+dfsg~),
+               qt6-declarative-dev (>= 6.8.2+dfsg~),
+               qt6-declarative-private-dev (>= 6.8.2+dfsg~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
 Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
@@ -44,7 +43,9 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
-Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${qml6:Depends},
+         ${shlibs:Depends},
 Breaks: libqt6datavisualizationqml6,
 Replaces: libqt6datavisualizationqml6,
 Description: Qt 6 Data Visualization QML module

=== debian/watch ===
version=4
https://download.qt.io/archive/qt/([\d\.]*)/([\d\.]*)/submodules/qtdatavis3d-everywhere-src-(.*)\.tar\.xz
